package com.yutou.common.record;

import com.yutou.bilibili.interfaces.DownloadInterface;

import java.util.List;

public abstract class AbsVideoRecord {
    public abstract List<String> getRoomIds();
    public abstract boolean check(String roomId);
    public abstract void kill(String roomId);
    public abstract void killAll();
    public abstract void start(DownloadInterface downloadInterface);
    public abstract void stop();
}
